group "RoutingExplicitDetails.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
routingName?, routingAddress?, routingAccountNumber?, routingReferenceText*

Content Model Elements (4):

  routingAccountNumber, routingAddress, routingName, routingReferenceText

Known Usage Locations

- In definitions of global complexTypes (2):
  RoutingExplicitDetails, RoutingIdsAndExplicitDetails

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="RoutingExplicitDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="routingName" type="xsd:string"/> <xsd:element minOccurs="0" name="routingAddress" type="Address"/> <xsd:element minOccurs="0" name="routingAccountNumber" type="xsd:string"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="routingReferenceText" type="xsd:string"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
routingAccountNumber

  Type: | xsd:string, predefined, simple content

  An account number via which a payment can be routed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="routingAccountNumber" type="xsd:string"/>

routingAddress

  Type: | Address, complex content

  A physical postal address via which a payment can be routed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="routingAddress" type="Address"/>

routingName

  Type: | xsd:string, predefined, simple content

  A real name that is used to identify a party involved in the routing of a payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="routingName" type="xsd:string"/>

routingReferenceText

  Type: | xsd:string, predefined, simple content

  A piece of free-format text used to assist the identification of a party involved in the routing of a payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="routingReferenceText" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.